Skip to main content
GET
Get lead activity summary for an AI Sales Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

AI Sales Agent ID

Example:

"01a0206f-ed73-7558-90fb-d6650dcbeefd"

Query Parameters

start_date
string<date-time>

Start date filter (ISO 8601)

Example:

"2026-08-20T18:30:01.331Z"

end_date
string<date-time>

End date filter (ISO 8601)

Example:

"2026-08-20T18:30:01.331Z"

Response

Aggregate lead activity summary

Aggregate lead activity summary

total
integer

Total distinct leads with any activity

Example:

15000

replied
integer

Leads that replied at least once

Example:

420

has_opportunity
integer

Leads with a positive opportunity

Example:

85

reply_rate
number

Fraction of total leads that replied (replied / total)

Example:

0.028

opportunity_rate
number

Fraction of total leads with a positive opportunity (has_opportunity / total)

Example:

0.0057